## rmdir

#### OS/161 Reference Manual

### Name

rmdir - remove directory

### Synopsis

`/bin/rmdir` directory

### Description

`rmdir` removes the specified directory. The directory must be empty.

It is an error to attempt to remove the . or .. names in a directory, or to apply rmdir to a filesystem object that is not a directory.

### Requirements

`rmdir` uses the following system calls:

- rmdir
- write
- _exit

As the rmdir system call is generally not part of the basic system calls assignment, `rmdir` will usually still not function after the basic system calls assignment is complete. This call is typically part of a later assignment, usually the file system assignment. You may also need to implement subdirectories in the file system. Consult your course materials for specific information.

### Restrictions

emufs does not support `rmdir`. (This is intentional.)

### See Also

mkdir, rm